Subject: bug#20869: closed (Re: Recent map-elt change broke 'make bootstrap')

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 21 Jun 2015 21:51:06 +0000

Your bug report

#20869: Recent map-elt change broke 'make bootstrap'

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
20869: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=20869
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: Recent map-elt change broke 'make bootstrap'
From: Nicolas Petton <[email-masked]>
To: Paul Eggert <[email-masked]>
Cc: [email-masked], [email-masked], emacs-devel <[email-masked]>
Date: Sun, 21 Jun 2015 23:50:47 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Paul Eggert <[email-masked]> writes:

> This seems to be due to commit 8b6d82d3ca86f76ed964063b3941a7c6ab0bf1c6 so I am 
> CC'ing Nicolas.

The version I should have committed also has issues. I reverted the
commit for now.

Nico

Subject: Recent map-elt change broke 'make bootstrap'
From: Paul Eggert <[email-masked]>
To: Emacs bug reports and feature requests <[email-masked]>
Cc: Nicolas Petton <[email-masked]>
Date: Sun, 21 Jun 2015 13:11:19 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

This seems to be due to commit 8b6d82d3ca86f76ed964063b3941a7c6ab0bf1c6 so I am 
CC'ing Nicolas.  The symptoms:

   ELC      emacs-lisp/map.elc

In toplevel form:
emacs-lisp/map.el:125:5:Warning: gv-get called with 1 argument, but requires 2
emacs-lisp/map.el:128:1:Error: (map--raw-place map #[257 "\301\300E\207" [map 
setq] 4 "

(fn V)"]) is not a valid place expression
Makefile:268: recipe for target 'emacs-lisp/map.elc' failed
make[2]: *** [emacs-lisp/map.elc] Error 1
make[2]: Leaving directory '/home/eggert/src/gnu/emacs/static-checking/lisp'
Makefile:291: recipe for target 'compile-main' failed
make[1]: *** [compile-main] Error 2
make[1]: Leaving directory '/home/eggert/src/gnu/emacs/static-checking/lisp'
Makefile:385: recipe for target 'lisp' failed
make: *** [lisp] Error 2